<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_step_apply', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->comment('申请用户id');
            $table->tinyInteger('status')->default(0)->comment('状态 0：申请中 1：审核通过 2：拒绝');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_step_apply');
    }
};
